Subject: Re: skbuff data pointer alignment requirement

From: Jarek Poplawski <[email-masked]>
Date: Sat, 22 Dec 2007 12:00:57 +0100

Keyur Chudgar wrote, On 12/21/2007 02:12 AM:
...

> If some hardware requirements, for example is, they need to have 256
> bytes aligned address for them to do the DMA, no matter what the
> packet size is. In this kind of cases, can you guide me what should I
> do? Is there any way already in Linux I can do this?

...

> In the above specified situation, I can define SKB_ADDR_MIN_ALIGN =
> 256 in my Makefile or I don't define it at all if I am okay with
> default alignment size.

Do you mean hardware requirements of an architecture or a specific driver?
So, if you have more than one network card, is it needed by all of them,
while other (not network) drivers are happy with default allocations?

Regards,
Jarek P.